Bug 811902 - gnome-settings-daemon and dconf consume all CPU resources after overnight work
gnome-settings-daemon and dconf consume all CPU resources after overnight work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
17
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 05:36 EDT by Mikhail
Modified: 2013-08-01 09:10 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:26:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
htop (1.11 MB, image/jpeg)
2012-04-12 05:40 EDT, Mikhail
no flags Details
htop (146.74 KB, image/png)
2012-05-05 06:14 EDT, Mikhail
no flags Details
backtrace for gnome-settings-daemon 1-process (3.52 KB, text/plain)
2012-05-29 04:14 EDT, Mikhail
no flags Details
backtrace for gnome-settings-daemon 2-process (1.60 KB, text/plain)
2012-05-29 04:15 EDT, Mikhail
no flags Details
backtrace for dconf-service process (1.88 KB, text/plain)
2012-05-29 04:16 EDT, Mikhail
no flags Details
backtrace for dbus-daemon process (828 bytes, text/plain)
2012-05-29 04:17 EDT, Mikhail
no flags Details
backtrace for gnome-settings-daemon (2.35 KB, text/plain)
2012-06-04 00:49 EDT, Mikhail
no flags Details
backtrace for dconf worker process (730 bytes, text/plain)
2012-06-04 00:50 EDT, Mikhail
no flags Details
backtrace for Compositor (33 bytes, text/plain)
2012-06-04 00:51 EDT, Mikhail
no flags Details
backtrace for dconf-service (1.88 KB, text/plain)
2012-06-04 00:52 EDT, Mikhail
no flags Details
backtrace for dconf worker process (1.41 KB, text/plain)
2012-07-12 09:19 EDT, Mikhail
no flags Details
proof screenshot (210.49 KB, image/png)
2012-07-12 09:20 EDT, Mikhail
no flags Details
proof screenshot (222.65 KB, image/png)
2012-07-22 05:47 EDT, Mikhail
no flags Details
new backtrace with all debug symbols (5.87 KB, text/plain)
2012-07-22 05:48 EDT, Mikhail
no flags Details
new backtrace with all debug symbols making minute later (9.43 KB, text/plain)
2012-07-22 05:50 EDT, Mikhail
no flags Details
backtrace for dconf-service (4.32 KB, text/plain)
2012-07-22 10:20 EDT, Mikhail
no flags Details
new backtrace for gnome-settings-daemon (7.82 KB, text/plain)
2012-08-09 10:39 EDT, Mikhail
no flags Details
gdb backtrace when g-s-d consumes 100% cpu (4.64 KB, text/plain)
2012-10-29 22:46 EDT, Mamoru TASAKA
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 679151 None None None 2012-09-29 07:09:42 EDT

  None (edit)
Description Mikhail 2012-04-12 05:36:10 EDT
Description of problem:
When I leave the computer on overnight, it is often in the morning discover the computer hangs and constantly swap, and the processes of gnome-settings-daemon and dconf consume all CPU resources.
Comment 1 Mikhail 2012-04-12 05:40:06 EDT
Created attachment 577019 [details]
htop
Comment 2 Mikhail 2012-05-05 06:14:41 EDT
Created attachment 582274 [details]
htop
Comment 3 Fabio Pedretti 2012-05-14 07:15:16 EDT
Same bug on Ubuntu: https://bugs.launchpad.net/fedora/+source/gnome-settings-daemon/+bug/969359
Comment 4 Mikhail 2012-05-29 04:14:16 EDT
Created attachment 587339 [details]
backtrace for gnome-settings-daemon 1-process
Comment 5 Mikhail 2012-05-29 04:15:09 EDT
Created attachment 587340 [details]
backtrace for gnome-settings-daemon 2-process
Comment 6 Mikhail 2012-05-29 04:16:08 EDT
Created attachment 587342 [details]
backtrace for dconf-service process
Comment 7 Mikhail 2012-05-29 04:17:33 EDT
Created attachment 587343 [details]
backtrace for dbus-daemon process
Comment 8 Mikhail 2012-06-04 00:49:45 EDT
Created attachment 589027 [details]
backtrace for gnome-settings-daemon
Comment 9 Mikhail 2012-06-04 00:50:49 EDT
Created attachment 589028 [details]
backtrace for dconf worker process
Comment 10 Mikhail 2012-06-04 00:51:53 EDT
Created attachment 589033 [details]
backtrace for Compositor
Comment 11 Mikhail 2012-06-04 00:52:49 EDT
Created attachment 589035 [details]
backtrace for dconf-service
Comment 12 Mikhail 2012-06-04 00:55:14 EDT
when it occurs Num Lock indicator is often blink.
Comment 13 Mikhail 2012-07-12 09:17:58 EDT
Killing dconf worker process seems stop this, but something wrong after this:
Not work hot keys (Ctrl +Shift + L - lock comkputer, Prt Scr - make screenshot), decrease font...
Comment 14 Mikhail 2012-07-12 09:18:19 EDT
Killing dconf worker process seems stop this, but something wrong after this:
Not work hot keys (Ctrl +Shift + L - lock computer, Prt Scr - make screenshot), decrease font...
Comment 15 Mikhail 2012-07-12 09:19:01 EDT
Created attachment 597807 [details]
backtrace for dconf worker process
Comment 16 Mikhail 2012-07-12 09:20:31 EDT
Created attachment 597808 [details]
proof screenshot
Comment 17 Tobias Mueller 2012-07-15 14:35:58 EDT
see also this GNOME bug: https://bugzilla.gnome.org/show_bug.cgi?id=679151

FWIW: Affects me, too. pkill -STOP gnome-settings lets me use my computer again...
Comment 18 udo 2012-07-16 09:25:34 EDT
Even happens during teh day when I am away for work.

killall -9 gnome-settings-daemon helps, but is it the right way?

dconf is indeed active as well. (noticed after killing)
Comment 19 udo 2012-07-16 09:27:36 EDT
Comment 12 was observed here as well.
Comment 14 was observed here as well.
Comment 20 udo 2012-07-16 09:35:47 EDT
I am on x86_64. You too?
Comment 21 udo 2012-07-19 09:18:16 EDT
This bug makes working cumbersome.
The machine is ok in the early morning.
I leave home for work and return after 9.5-10 hours.
gnome-settings-daemon is making the numlock blink feverishly and the system slowish.
So we kill gnome-settings-daemon.
Also we kill the dconf thing.
We log out. The machine completes slowly.
We log in and stuff is mostly fine again for the rest of the day and next morning.

But is this a nice way to work with the box?
Therefor I increased severity again.

Mikhail created a very nice bug report.
Bastien: please come and help fix this.
Comment 22 udo 2012-07-20 07:49:07 EDT
I tried the dconf-editor workaround from comment 17 yesterday.
Today I found my box without the blinking numlock. gnome-settings-daemon was still consuming one full core.
So we killed that stuff.
Logged out and logged in.

Can someone please fix this without mentioning the `upstream` mantra?
Comment 23 Mikhail 2012-07-22 05:46:44 EDT
Sorry my previous backtraces not contain debugging symbols. Now I'm fixed.

Another well-reproduced the bug on my laptop on kitchen (it has little memory, and he constantly swaps) when I started google-chrome and evolution, and pressed the Num Lock situation is reproduced.
Comment 24 Mikhail 2012-07-22 05:47:27 EDT
Created attachment 599575 [details]
proof screenshot
Comment 25 Mikhail 2012-07-22 05:48:55 EDT
Created attachment 599576 [details]
new backtrace with all debug symbols
Comment 26 Mikhail 2012-07-22 05:50:46 EDT
Created attachment 599577 [details]
new backtrace with all debug symbols making minute later
Comment 27 Mikhail 2012-07-22 06:38:38 EDT
udo: may be better report to upstream?
Comment 28 Mikhail 2012-07-22 10:20:30 EDT
Created attachment 599614 [details]
backtrace for dconf-service
Comment 29 udo 2012-07-22 11:19:47 EDT
Mikhail, in comment 17 Tobias mentions an upstream bug that doesn't show progress yet.
So how do we improve from here?
Comment 30 udo 2012-07-25 09:28:20 EDT
This afternoon I found a blinking numlock LED again.
So comment 22's workaround did not help at all.
What is the progress?
Comment 31 Dag 2012-07-30 13:21:04 EDT
Hi all,

this bug shows up for me as well.
FC17 x86_64 up to date.

dconf-service and gnome-settings-daemon are taking 100% CPU and doing a lot of I/O on disk.


For me it was triggered, _each time_, when using vino-server (Gnome 3 remote desktop) on the local machine (the one having the problem). I was connected from a distant client (this one did not malfunction ever) to this local machine.

I was killing both services to restore the usability of the remote machine, and it oftently crashes the session.
Eventually both services were automatically restarted and the problem was here again, and I had to kill both services again and risking a session crash.

Temporary fix :
Using dconf-editor : uncheck the check-box from org.gnome.settings-daemon.peripherals.keyboard.remember-numlock-state.
This temporary fix works for me.
(source: https://bugzilla.gnome.org/show_bug.cgi?id=679151)


Same problem on Ubuntu : https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/969359

Bye for now
Dag
Comment 32 Mikhail 2012-08-09 10:39:39 EDT
Created attachment 603269 [details]
new backtrace for gnome-settings-daemon
Comment 33 udo 2012-08-09 11:19:36 EDT
For me a workaround (!) was the disabling of 'remember numlock state' or whatever it was called.
The issue hasn't happened for a few days now since I did that.
Comment 34 udo 2012-08-09 11:20:10 EDT
(so yes I can confirm the Dag comment number 31)
Comment 35 Tobias Mueller 2012-09-14 15:05:55 EDT
FWIW: abrt choses my crashing g-s-d to be a dup of bug 716357.
Comment 36 Mamoru TASAKA 2012-10-29 22:46:30 EDT
Created attachment 635290 [details]
gdb backtrace when g-s-d consumes 100% cpu

I've encountered the similar issue. g-s-d now consumes 100% cpu. gdb log attached.
Comment 37 Mamoru TASAKA 2012-10-29 23:40:27 EDT
Looks like 100% reproducible when pressing NumLock key twice.
Comment 39 Tobias Mueller 2012-12-31 10:30:30 EST
Still an issue with 3.4.2 with currently stable F17. So a backport would be appreciated.
Comment 40 Fedora End Of Life 2013-07-03 16:27:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 41 Fedora End Of Life 2013-07-31 16:26:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.